cancel
Showing results for 
Search instead for 
Did you mean: 
cancel
293
Views
0
Helpful
1
Replies
Beginner

Proper NED migration procedure

Hi guys,

 

What is the proper procedure for NED migration? I've upgraded (lab currently) the NSO, and now would like to upgrade NX-OS NEDs, but I cannot just install both versions, since both are internally visible as 'cisco-nx':

 

[rslaski@nso1 ~]$ nct packages | grep -H2 cisco
(standard input)-}
(standard input)-package {
(standard input):    name ncs-5.2.0.3-cisco-nx-5.11.2
(standard input)-    loaded
(standard input)-}
--
(standard input)-}
(standard input)-package {
(standard input):    name ncs-5.2.1-cisco-nx-5.13.1
(standard input)-    installed
(standard input)-}
--
(standard input)-}
(standard input)-package {
(standard input):    name ncs-5.2.0.3-cisco-nx-5.11.2
(standard input)-    loaded
(standard input)-}
--
(standard input)-}
(standard input)-package {
(standard input):    name ncs-5.2.1-cisco-nx-5.13.1
(standard input)-    installed
(standard input)-}
[rslaski@nso1 ~]$ nct packages -c install --package
ncs-5.2.0.3-cisco-nx-5.11.2
Install Package at 10.133.100.3 [nso1]
(Exit Code 8) Error: Package cisco-nx already installed - use
'replace-existing' option or 'deinstall' action

stop on error: request software packages install package
ncs-5.2.0.3-cisco-nx-5.11.2 

Install Package at 10.133.100.5 [nso2]
(Exit Code 8) Error: Package cisco-nx already installed - use
'replace-existing' option or 'deinstall' action

stop on error: request software packages install package
ncs-5.2.0.3-cisco-nx-5.11.2 

So I cannot install both versions, and migrate devices NED to the new one, which was my original idea.

Could you point me to any documention or guide?

Seems like the Cisco NSO documentation has been roughly sketched by developers, not by users, and it is not helpful at all in many areas I am currently touching during my NSO journey.

1 REPLY 1
Highlighted
Cisco Employee

Re: Proper NED migration procedure

Looks like an nct bug, seems like it cant handle the new NSO 5.x feature with multiple NED versions. Should be sent to TAC.